%define nsusr root
%define nsgrp root

Summary: PHP lib to create plugins for nagios/OpMon.
Name: php-nagios-plugins
Version: 1.0
Release: 11
Group: Unspecified
URL: http://pear.php.net/package/Nagios_Plugin
Autoreq: 0
Distribution: CentOS Linux
License: GPL
BuildArch: noarch
Source0: %{name}-%{version}.tar.gz
Vendor: Cyril Feraudet <cyril@feraudet.com>
Prefix: /usr/local/opmon/libexec

%description
PHP version of CPAN Nagios::Plugin

Nagios_Plugin and its associated Nagios_Plugin_* modules are a family of php
modules to streamline writing Nagios plugins. The main end user modules are 
Nagios_Plugin, providing an object-oriented interface to the entire 
Nagios::Plugin_* collection.

The purpose of the collection is to make it as simple as possible for 
developers to create plugins that conform the Nagios Plugin guidelines 
(http://nagiosplug.sourceforge.net/developer-guidelines.html).

%prep
# uncompress and go to directory
%setup -q 

%build
# the compilation

%install
# the installation process*
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
%{__install} -d -m 0755 ${RPM_BUILD_ROOT}%{prefix}/php-nagios-plugins
cp -frp php-nagios-plugins/* ${RPM_BUILD_ROOT}%{prefix}/php-nagios-plugins

%clean
rm -rf $RPM_BUILD_ROOT

%pre
# before install

%post
# post install

%files
%defattr(755,%{nsusr},%{nsgrp})
%{prefix}/php-nagios-plugins/*
